aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-03-07 09:55:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-03-07 18:23:44 +0000
commit41fe281a496ae117477462875672c80360b673f0 (patch)
treeeb3c2fb4b0244c1c08dd0c990c733b07e62afbd6
parent50a20e7f1a2c3e524cfe4a79abdc8b733688f91c (diff)
downloadaports-41fe281a496ae117477462875672c80360b673f0.tar.gz
aports-41fe281a496ae117477462875672c80360b673f0.tar.bz2
aports-41fe281a496ae117477462875672c80360b673f0.tar.xz
main/xf86-video-nv: rebuild against xorg-server-1.14
-rw-r--r--main/xf86-video-nv/APKBUILD26
-rw-r--r--main/xf86-video-nv/mibstore.patch81
2 files changed, 102 insertions, 5 deletions
diff --git a/main/xf86-video-nv/APKBUILD b/main/xf86-video-nv/APKBUILD
index b24a9ef70f..9c09007816 100644
--- a/main/xf86-video-nv/APKBUILD
+++ b/main/xf86-video-nv/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-video-nv
pkgver=2.1.20
-pkgrel=1
+pkgrel=3
pkgdesc="Nvidia video driver"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,19 +11,35 @@ depends=
makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
videoproto renderproto"
-source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2
+ mibstore.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
./configure --prefix=/usr || return 1
make
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/xorg/modules/*/*.la || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
-md5sums="e263dd0cd149b5224e92baa5a227bb00 xf86-video-nv-2.1.20.tar.bz2"
+md5sums="e263dd0cd149b5224e92baa5a227bb00 xf86-video-nv-2.1.20.tar.bz2
+855434c62515bc1f619788a4472e13de mibstore.patch"
+sha256sums="8395f65501f16f9cbaae8f598b02c6f18e78f4d3d30a08cb8d547dc2e00c10bf xf86-video-nv-2.1.20.tar.bz2
+0ec4234fd9202956d25ca93e9131930e4a3fbba5de2ca870d0cf2302ccb76b46 mibstore.patch"
+sha512sums="f7c3f00aa949bdffdcb180fa727204b1cdbbad560919e111c589f8614fd897186cdefe014714505aa4646419b4d8bb879eaca96fea032b56cc8c71ba7faa6373 xf86-video-nv-2.1.20.tar.bz2
+f63c1803b3c7f0b6326ca85ba36b3953c0c856d698574265334ab038d9d8d783ec9ee4f8a88095b3f5163a78a4fbe3443d349cc71ef2cf84e7a04f5f25f7fbd8 mibstore.patch"
diff --git a/main/xf86-video-nv/mibstore.patch b/main/xf86-video-nv/mibstore.patch
new file mode 100644
index 0000000000..ef5a4f2d9d
--- /dev/null
+++ b/main/xf86-video-nv/mibstore.patch
@@ -0,0 +1,81 @@
+From fc78fe98222b0204b8a2872a529763d6fe5048da Mon Sep 17 00:00:00 2001
+From: Adam Jackson <ajax@redhat.com>
+Date: Tue, 25 Sep 2012 12:54:49 +0000
+Subject: Remove mibstore.h
+
+Signed-off-by: Adam Jackson <ajax@redhat.com>
+---
+diff --git a/src/g80_driver.c b/src/g80_driver.c
+index cc4e197..719b96c 100644
+--- a/src/g80_driver.c
++++ b/src/g80_driver.c
+@@ -34,7 +34,6 @@
+ #include <xf86Resources.h>
+ #endif
+ #include <mipointer.h>
+-#include <mibstore.h>
+ #include <micmap.h>
+ #include <xf86cmap.h>
+ #include <fb.h>
+@@ -833,7 +832,6 @@ G80ScreenInit(SCREEN_INIT_ARGS_DECL)
+ }
+ }
+
+- miInitializeBackingStore(pScreen);
+ xf86SetBackingStore(pScreen);
+ xf86SetSilkenMouse(pScreen);
+
+diff --git a/src/nv_driver.c b/src/nv_driver.c
+index 6dad6e5..8f35334 100644
+--- a/src/nv_driver.c
++++ b/src/nv_driver.c
+@@ -2550,7 +2550,6 @@ NVScreenInit(SCREEN_INIT_ARGS_DECL)
+ if (!pNv->NoAccel)
+ NVAccelInit(pScreen);
+
+- miInitializeBackingStore(pScreen);
+ xf86SetBackingStore(pScreen);
+ xf86SetSilkenMouse(pScreen);
+
+diff --git a/src/nv_include.h b/src/nv_include.h
+index fb190bf..f174eef 100644
+--- a/src/nv_include.h
++++ b/src/nv_include.h
+@@ -24,9 +24,6 @@
+ /* All drivers initialising the SW cursor need this */
+ #include "mipointer.h"
+
+-/* All drivers implementing backing store need this */
+-#include "mibstore.h"
+-
+ #include "micmap.h"
+
+ #include "xf86DDC.h"
+diff --git a/src/riva_driver.c b/src/riva_driver.c
+index e0667ef..759501e 100644
+--- a/src/riva_driver.c
++++ b/src/riva_driver.c
+@@ -1168,7 +1168,6 @@ RivaScreenInit(SCREEN_INIT_ARGS_DECL)
+ if (!pRiva->NoAccel)
+ RivaAccelInit(pScreen);
+
+- miInitializeBackingStore(pScreen);
+ xf86SetBackingStore(pScreen);
+ xf86SetSilkenMouse(pScreen);
+
+diff --git a/src/riva_include.h b/src/riva_include.h
+index f2c5302..c7aeef7 100644
+--- a/src/riva_include.h
++++ b/src/riva_include.h
+@@ -22,9 +22,6 @@
+ /* All drivers initialising the SW cursor need this */
+ #include "mipointer.h"
+
+-/* All drivers implementing backing store need this */
+-#include "mibstore.h"
+-
+ #include "micmap.h"
+
+ #include "xf86DDC.h"
+--
+cgit v0.9.0.2-2-gbebe